#       - DATABASE_HOST=mysql-common-mysql-1


services:
  cmc-new-backend:
    build:
      context: ./support-portal-backend
      dockerfile: Dockerfile
    restart: always
    ports:
      - "8070:8080"
    environment:
      - DATABASE_HOST=mysql-common-mysql-1
    networks:
      - cmc-forntend
      - mysql-common_mynetwork
    # depends_on:
    #   db:
    #     condition: service_healthy
  
 
volumes:
  db-data: {}
# secrets:
#   db-password:
#     file: db/password.txt
networks:
  cmc-forntend: {}
  mysql-common_mynetwork: {}